/*
 * Copyright 2019. Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.apps.santatracker.doodles.presenttoss;

public interface PresentTossSprites {

    int[] present_throw_tutorials = {
        R.drawable.present_throw_tutorials_01,
        R.drawable.present_throw_tutorials_02,
        R.drawable.present_throw_tutorials_03,
        R.drawable.present_throw_tutorials_04,
        R.drawable.present_throw_tutorials_05,
        R.drawable.present_throw_tutorials_06,
        R.drawable.present_throw_tutorials_07,
        R.drawable.present_throw_tutorials_08,
        R.drawable.present_throw_tutorials_09,
        R.drawable.present_throw_tutorials_10,
        R.drawable.present_throw_tutorials_11,
        R.drawable.present_throw_tutorials_12,
        R.drawable.present_throw_tutorials_13,
        R.drawable.present_throw_tutorials_14,
    };

    int[] present_throw_def_green_left = {
        R.drawable.present_throw_blocker_green_01,
        R.drawable.present_throw_blocker_green_02,
        R.drawable.present_throw_blocker_green_03,
        R.drawable.present_throw_blocker_green_04,
        R.drawable.present_throw_blocker_green_05,
        R.drawable.present_throw_blocker_green_06,
        R.drawable.present_throw_blocker_green_07,
        R.drawable.present_throw_blocker_green_08,
    };

    int[] present_throw_def_green_right = {
        R.drawable.present_throw_blocker_green_09,
        R.drawable.present_throw_blocker_green_10,
        R.drawable.present_throw_blocker_green_11,
        R.drawable.present_throw_blocker_green_12,
        R.drawable.present_throw_blocker_green_13,
        R.drawable.present_throw_blocker_green_14,
        R.drawable.present_throw_blocker_green_15,
        R.drawable.present_throw_blocker_green_16,
    };

    int[] present_throw_def_green_emerge = {
        R.drawable.present_throw_newblocker_green_01,
        R.drawable.present_throw_newblocker_green_02,
        R.drawable.present_throw_newblocker_green_03,
        R.drawable.present_throw_newblocker_green_04,
        R.drawable.present_throw_newblocker_green_05,
        R.drawable.present_throw_newblocker_green_06,
        R.drawable.present_throw_newblocker_green_07,
        R.drawable.present_throw_newblocker_green_08,
        R.drawable.present_throw_newblocker_green_09,
        R.drawable.present_throw_newblocker_green_10,
        R.drawable.present_throw_newblocker_green_11,
        R.drawable.present_throw_newblocker_green_12,
    };

    int[] present_throw_def_green_blocking = {
        R.drawable.present_throw_blocking_green_01,
        R.drawable.present_throw_blocking_green_02,
        R.drawable.present_throw_blocking_green_03,
        R.drawable.present_throw_blocking_green_04,
        R.drawable.present_throw_blocking_green_05,
        R.drawable.present_throw_blocking_green_06,
        R.drawable.present_throw_blocking_green_07,
        R.drawable.present_throw_blocking_green_08,
        R.drawable.present_throw_blocking_green_09,
        R.drawable.present_throw_blocking_green_10,
        R.drawable.present_throw_blocking_green_11,
        R.drawable.present_throw_blocking_green_12,
    };

    int[] present_throw_def_red_left = {
        R.drawable.present_throw_blocker_red_01,
        R.drawable.present_throw_blocker_red_02,
        R.drawable.present_throw_blocker_red_03,
        R.drawable.present_throw_blocker_red_04,
        R.drawable.present_throw_blocker_red_05,
        R.drawable.present_throw_blocker_red_06,
        R.drawable.present_throw_blocker_red_07,
        R.drawable.present_throw_blocker_red_08,
    };

    int[] present_throw_def_red_right = {
        R.drawable.present_throw_blocker_red_09,
        R.drawable.present_throw_blocker_red_10,
        R.drawable.present_throw_blocker_red_11,
        R.drawable.present_throw_blocker_red_12,
        R.drawable.present_throw_blocker_red_13,
        R.drawable.present_throw_blocker_red_14,
        R.drawable.present_throw_blocker_red_15,
        R.drawable.present_throw_blocker_red_16,
    };

    int[] present_throw_def_red_emerge = {
        R.drawable.present_throw_newblocker_red_01,
        R.drawable.present_throw_newblocker_red_02,
        R.drawable.present_throw_newblocker_red_03,
        R.drawable.present_throw_newblocker_red_04,
        R.drawable.present_throw_newblocker_red_05,
        R.drawable.present_throw_newblocker_red_06,
        R.drawable.present_throw_newblocker_red_07,
        R.drawable.present_throw_newblocker_red_08,
        R.drawable.present_throw_newblocker_red_09,
        R.drawable.present_throw_newblocker_red_10,
        R.drawable.present_throw_newblocker_red_11,
        R.drawable.present_throw_newblocker_red_12,
    };

    int[] present_throw_def_red_blocking = {
        R.drawable.present_throw_blocking_red_01,
        R.drawable.present_throw_blocking_red_02,
        R.drawable.present_throw_blocking_red_03,
        R.drawable.present_throw_blocking_red_04,
        R.drawable.present_throw_blocking_red_05,
        R.drawable.present_throw_blocking_red_06,
        R.drawable.present_throw_blocking_red_07,
        R.drawable.present_throw_blocking_red_08,
        R.drawable.present_throw_blocking_red_09,
        R.drawable.present_throw_blocking_red_10,
        R.drawable.present_throw_blocking_red_11,
        R.drawable.present_throw_blocking_red_12,
    };

    int[] present_throw_def_orange_left = {
        R.drawable.present_throw_blocker_orange_01,
        R.drawable.present_throw_blocker_orange_02,
        R.drawable.present_throw_blocker_orange_03,
        R.drawable.present_throw_blocker_orange_04,
        R.drawable.present_throw_blocker_orange_05,
        R.drawable.present_throw_blocker_orange_06,
        R.drawable.present_throw_blocker_orange_07,
        R.drawable.present_throw_blocker_orange_08,
    };

    int[] present_throw_def_orange_right = {
        R.drawable.present_throw_blocker_orange_09,
        R.drawable.present_throw_blocker_orange_10,
        R.drawable.present_throw_blocker_orange_11,
        R.drawable.present_throw_blocker_orange_12,
        R.drawable.present_throw_blocker_orange_13,
        R.drawable.present_throw_blocker_orange_14,
        R.drawable.present_throw_blocker_orange_15,
        R.drawable.present_throw_blocker_orange_16,
    };

    int[] present_throw_def_orange_emerge = {
        R.drawable.present_throw_newblocker_orange_01,
        R.drawable.present_throw_newblocker_orange_02,
        R.drawable.present_throw_newblocker_orange_03,
        R.drawable.present_throw_newblocker_orange_04,
        R.drawable.present_throw_newblocker_orange_05,
        R.drawable.present_throw_newblocker_orange_06,
        R.drawable.present_throw_newblocker_orange_07,
        R.drawable.present_throw_newblocker_orange_08,
        R.drawable.present_throw_newblocker_orange_09,
        R.drawable.present_throw_newblocker_orange_10,
        R.drawable.present_throw_newblocker_orange_11,
        R.drawable.present_throw_newblocker_orange_12,
    };

    int[] present_throw_def_orange_blocking = {
        R.drawable.present_throw_blocking_orange_01,
        R.drawable.present_throw_blocking_orange_02,
        R.drawable.present_throw_blocking_orange_03,
        R.drawable.present_throw_blocking_orange_04,
        R.drawable.present_throw_blocking_orange_05,
        R.drawable.present_throw_blocking_orange_06,
        R.drawable.present_throw_blocking_orange_07,
        R.drawable.present_throw_blocking_orange_08,
        R.drawable.present_throw_blocking_orange_09,
        R.drawable.present_throw_blocking_orange_10,
        R.drawable.present_throw_blocking_orange_11,
        R.drawable.present_throw_blocking_orange_12,
    };

    int[] present_throw_reloading = {
        R.drawable.present_throw_reloading_01,
        R.drawable.present_throw_reloading_02,
        R.drawable.present_throw_reloading_03,
    };

    int[] present_throw_celebrate = {
        R.drawable.present_throw_celebrating_01, R.drawable.present_throw_celebrating_02,
    };

    int[] present_throw_idle = {
        R.drawable.present_throw_throwing_01,
    };

    int[] present_throw_santabag = {
        R.drawable.present_throw_santabag,
    };

    int[] present_throw_thrownpresent = {
        R.drawable.present_throw_thrownpresent_orange,
    };

    int[] present_throw_floor = {
        R.drawable.present_throw_floor,
    };

    int[] present_throw_elfbag = {
        R.drawable.present_throw_elfbag,
    };

    int[] orange_present_falling = {
        R.drawable.orange_present1,
        R.drawable.orange_present2,
        R.drawable.orange_present3,
        R.drawable.orange_present4,
    };

    int[] present_toss_target = {
        R.drawable.waterpolo_target,
    };

    int[] present_throw_throwing = {
        R.drawable.present_throw_throwing_01,
        R.drawable.present_throw_throwing_02,
        R.drawable.present_throw_throwing_03,
        R.drawable.present_throw_throwing_04,
        R.drawable.present_throw_throwing_05,
        R.drawable.present_throw_throwing_06,
    };
}
